package com.qmth.paper.library.business.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 档案导入课程excel
 */
@ExcelImportTempleteVaild(value = true)
public class PaperArchivesCourseImportDto implements Serializable {

    @ExcelNote(value = "课程代码")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程代码")
    @NotNull
    private String courseName;

    @ExcelNote(value = "教学班")
    private String teachClazzName;

    @ExcelNote(value = "任课老师")
    private String teacherName;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
