package com.qmth.paper.library.business.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 扫描任务导入excel
 * @Author: CaoZixuan
 * @Date: 2022-09-29
 */
@ExcelImportTempleteVaild(value = true)
public class PaperScanTaskImportDto implements Serializable {
    @ExcelNote(value = "任务名称")
    @NotNull
    private String scanTaskName;

    @ExcelNote(value = "课程代码")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程名称")
    @NotNull
    private String courseName;

    @ExcelNote(value = "教学班")
    private String teachClazzName;

    @ExcelNote(value = "任课老师")
    private String teacherName;

    public String getScanTaskName() {
        return scanTaskName;
    }

    public void setScanTaskName(String scanTaskName) {
        this.scanTaskName = scanTaskName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }
}
