package com.qmth.paper.library.business.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 扫描任务考生导入excel
 */
@ExcelImportTempleteVaild(value = true)
public class PaperScanTaskStudentImportDto implements Serializable {

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ExcelNote(value = "姓名")
    @NotNull
    private String studentName;

    @ExcelNote(value = "教学班")
    private String teachClazzName;

    @ExcelNote(value = "任课老师")
    private String teacherName;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
